function [ respTime ] = AVB_analysis( taskSet, slopes, taskToAnalyze )

target = length(taskSet);
respTimeNeintrerupt = fifoAnalysis( taskSet, slopes, taskToAnalyze );

relevantSlope = slopes(:,taskSet{taskToAnalyze}{3});


%% find C_l_max

C_l_max = 0;

for i=1:target
    if taskSet{i}{3}>taskSet{taskToAnalyze}{3}
        if taskSet{i}{1}(1,1)>C_l_max
            C_l_max = taskSet{i}{1}(1,1);
        end
    end
end

%% find C_h_max

C_h_max = 0;

for i=1:target
    if taskSet{i}{3}<taskSet{taskToAnalyze}{3}
        if taskSet{i}{1}(1,1)>=C_h_max
            C_h_max = taskSet{i}{1}(1,1);
            relevantSlope=slopes(:,taskSet{i}{3});
        end
    end
end

%% compute respTime. This is corect now

if taskSet{taskToAnalyze}{3} == 1
    
    respTime = respTimeNeintrerupt + C_l_max;
    
else
    
    respTime = respTimeNeintrerupt + C_l_max * (1 + relevantSlope(1)/relevantSlope(2)) + C_h_max;
    
end

end

