%% TSN analysis

function [TSN_TheoreticalDelays] =  TSN_streamSet_analysis (nbStreams, ts, slopes, tas)

computedRespTimes=[];

for taskToAnalyze = 1:nbStreams

AVBrespTime = ceil(AVB_analysis( ts, slopes, taskToAnalyze ));

TSNrespTime = AVBrespTime + sum(sum(tas(:,2:3))); 

computedRespTimes=[ computedRespTimes; TSNrespTime];

end

TSN_TheoreticalDelays = computedRespTimes;

end