function [TAScycle] = createTAScycle (tas, lengthCycle)

if min(tas(:,1)) == 0

    TAScycle = zeros(3,lengthCycle);
    
else
    
tasSchedule={};

for i=1:length(tas(:,1))
tasSchedule{i}=[tas(i,end); tas(i,end)+tas(i,2); tas(i,end)+tas(i,2)+tas(i,3)];
end


for i=1:length(tas(:,1))
    while max(tasSchedule{i}(3,:)) < lengthCycle
        tasSchedule{i}=[tasSchedule{i} tasSchedule{i}(:,end)+tas(i,1)];
    end
end


TAScycle=[];
for j=1:length(tasSchedule)

    TAScycle=[TAScycle tasSchedule{j}];
    
end

TAScycle=sortrows(TAScycle',1)';

end

end


